id(id= projects.ecc.id)
  .row
    .title= projects.ecc.name

  .row
    .block.block_image-title
      .block__title-bar
        .block__title The project
      .block__body
        p.block__body-text
          | As part of the Software Engineering module at University we were all
          | given an individual assignment to pick a project to devise a
          | software requirements specification, build models to elaborate
          | further, design class diagrams, and finally code and test the
          | software.
        p.block__body-text
          | I picked the following for my project:
        p.block__body-text
          | &#x276F; Write a Java chat client between two parties to enable messages to
          | be encrypted and decrypted by each other.
        p.block__body-text
          | Thus, I began creating my own Encrypted Chat Client. This was a very
          | interesting and challenging project to take on as encryption was a
          | concept I was interested in, but hadn't approached. I'm proud of
          | what I managed to build (although I spent a little long figuring out
          | how to implement SSL and get it all working entirely peer to peer)
          | and it's one of the most fun projects I've worked on to date (plus
          | I achieved a grade of 85 for my application which was great).
        p.block__body-text
          a.block__link(href="https://gitlab.com/_DK_/EncryptedChatClient", target="_blank", rel="noopener")
            | GitLab repo &rarr;
  .row
    .block.block_image-block
      img.block__image(lazyload= '/images/projects/' + projects.ecc.id + '.png', class='lazyload', alt='Encrypted Chat Client Project Image')
  .row
    .block
      .block__title-bar
        .block__title Technologies used
      .block__body
        .tech
          for t in projects.ecc.tech
            a.tech__link(href= techList[t], target="_blank", rel="noopener")
              img.tech__image(lazyload= '/images/tech/' + t + '.png', alt= t, title= t, class="lazyload")